diff --git a/src/include/libpq/libpq.h b/src/include/libpq/libpq.h
index 79f0860823..08a257616d 100644
--- a/src/include/libpq/libpq.h
+++ b/src/include/libpq/libpq.h
@@ -53,6 +53,8 @@ extern const PGDLLIMPORT PQcommMethods *PqCommMethods;
 /*
  * prototypes for functions in pqcomm.c
  */
+extern WaitEventSet *FeBeWaitSet;
+
 extern int	StreamServerPort(int family, char *hostName,
 							 unsigned short portNumber, char *unixSocketDir,
 							 pgsocket ListenSocket[], int MaxListen);
@@ -83,6 +85,9 @@ extern char *ssl_crl_file;
 extern char *ssl_dh_params_file;
 extern char *ssl_passphrase_command;
 extern bool ssl_passphrase_command_supports_reload;
+#ifdef USE_SSL
+extern bool ssl_loaded_verify_locations;
+#endif
 
 extern int	secure_initialize(bool isServerStart);
 extern bool secure_loaded_verify_locations(void);
@@ -93,14 +98,14 @@ extern ssize_t secure_read(Port *port, void *ptr, size_t len);
 extern ssize_t secure_write(Port *port, void *ptr, size_t len);
 extern ssize_t secure_raw_read(Port *port, void *ptr, size_t len);
 extern ssize_t secure_raw_write(Port *port, const void *ptr, size_t len);
+
+/*
+ * prototypes for functions in be-secure-gssapi.c
+ */
 #ifdef ENABLE_GSS
 extern ssize_t secure_open_gssapi(Port *port);
 #endif
 
-extern bool ssl_loaded_verify_locations;
-
-extern WaitEventSet *FeBeWaitSet;
-
 /* GUCs */
 extern char *SSLCipherSuites;
 extern char *SSLECDHCurve;
